#
# Keys for WebDriver
# keycode: https://github.com/macacajs/webdriver-keycode/blob/master/lib/webdriver-keycode.js
#

from enum import Enum


class Keys(Enum):
    """The Unicode Private Use Area code points, 0xE000-0xF8FF,
       are used to represent pressable, non-text keys.
    """

    NULL = u'\ue000'
    CANCEL = u'\ue001'
    HELP = u'\ue002'
    BACKSPACE = u'\ue003'
    TAB = u'\ue004'
    CLEAR = u'\ue005'
    RETURN = u'\ue006'
    ENTER = u'\ue007'
    SHIFT = u'\ue008'
    CONTROL = u'\ue009'
    ALT = u'\ue00a'
    PAUSE = u'\ue00b'
    ESCAPE = u'\ue00c'
    SPACE = u'\ue00d'
    PAGE_UP = u'\ue00e'
    PAGE_DOWN = u'\ue00f'
    END = u'\ue010'
    HOME = u'\ue011'
    ARROW_LEFT = u'\ue012'
    ARROW_UP = u'\ue013'
    ARROW_RIGHT = u'\ue014'
    ARROW_DOWN = u'\ue015'
    INSERT = u'\ue016'
    DELETE = u'\ue017'
    SEMICOLON = u'\ue018'
    EQUALS = u'\ue019'
    NUMPAD0 = u'\ue01a'
    NUMPAD1 = u'\ue01b'
    NUMPAD2 = u'\ue01c'
    NUMPAD3 = u'\ue01d'
    NUMPAD4 = u'\ue01e'
    NUMPAD5 = u'\ue01f'
    NUMPAD6 = u'\ue020'
    NUMPAD7 = u'\ue021'
    NUMPAD8 = u'\ue022'
    NUMPAD9 = u'\ue023'
    MULTIPLY = u'\ue024'
    ADD = u'\ue025'
    SEPARATOR = u'\ue026'
    SUBTRACT = u'\ue027'
    DECIMAL = u'\ue028'
    DIVIDE = u'\ue029'
    F1 = u'\ue031'
    F2 = u'\ue032'
    F3 = u'\ue033'
    F4 = u'\ue034'
    F5 = u'\ue035'
    F6 = u'\ue036'
    F7 = u'\ue037'
    F8 = u'\ue038'
    F9 = u'\ue039'
    F10 = u'\ue03a'
    F11 = u'\ue03b'
    F12 = u'\ue03c'
    META = u'\ue03d'
    COMMAND = u'\ue03d'
    ZENKAKU_HANKAKU = u'\ue040'
    # https://github.com/alibaba/macaca/issues/487
    POWER = u'\uE101'
    VOLUME_UP = u'\uE102'
    VOLUME_DOWN = u'\uE103'
    VOLUME_MUTE = u'\uE104'
    HOME_SCREEN = u'\uE105'
    BACK = u'\uE106'
    MENU = u'\uE107'
    CAMERA = u'\uE108'
    CALL = u'\uE109'
    END_CALL = u'\uE10A'
    SEARCH = u'\uE10B'
    DPAD_LEFT = u'\uE10C'
    DPAD_UP = u'\uE10D'
    DPAD_RIGHT = u'\uE10E'
    DPAD_DOWN = u'\uE10F'
    DPAD_CENTER = u'\uE110'
